// A mathematical game
// Copyright (C) 2004 by Christian von Schultz <schultz@linux.nu>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef INITIALPANEL_H
#define INITIALPANEL_H

#include <wx/object.h>
#include <wx/wxexpr.h>
#include <wx/panel.h>

#include <config.h>
#include "../checksetup.h"

#include "../mainwindow.h"

class InitialScreen;

class InitialPanel: public wxPanel
{
public:
  InitialPanel(InitialScreen *is) throw(Exception);
  virtual ~InitialPanel() throw();

  void OnButtonIntro(wxCommandEvent &event) throw();
  void OnButtonSkip(wxCommandEvent &event) throw();

protected:
  DECLARE_EVENT_TABLE();

private:
  InitialScreen *m_is;
};

enum { BUTTON_INTRO = ID_HIGHEST + 1,
       BUTTON_SKIP };

#include "initialscreen.h"

#endif // INITIALPANEL_H

// 
// Local Variables:
// mode: c++
// End:
